# boost::lockfree::atomic_int< T > Class Template Reference

List of all members.

## Detailed Description

### template<typename T>
class boost::lockfree::atomic_int< T >

Definition at line 143 of file atomic_int.hpp.

## Public Member Functions

| atomic_int (T v=0)
| operator T (void) const
void | operator= (T v)
T | operator++ ()
T | operator-- ()
T | operator+= (T v)
T | operator-= (T v)
T | operator++ (int)
T | operator-- (int)

The documentation for this class was generated from the following file:

- common/include/boost/lockfree/atomic_int.hpp